note
	description: "Summary description for {RESIDENT_STUDENT}."
	author: "Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

class
	STUDENT
create
	make

feature -- Attributes
	name: STRING
	courses: LINKED_LIST[COURSE]

feature -- Command for constructor
	make (n: STRING)
			-- Initialize a student with name 'n'.
		do
			name := n
			create {LINKED_LIST[COURSE]} courses.make
		end

feature -- Commands
	register (c: COURSE)
		do
			courses.extend (c)
		end

feature -- Queries
	tuition: REAL
		local
			base: REAL
		do
			base := 0.0
			across
				courses as c
			loop
				base := base + c.item.fee
			end
			Result := base
		end
end
